import request from '../../utils/request'

export function getAllDictionary() {
    return request({
        url: '/caseFrontSheet/getAllDictionary',
        method: 'get',
    })
}

export function getUserWards() {
    return request({
        url: '/caseFrontSheet/getUserWards',
        method: 'get',
    })
}

export function getPatientOverview(ward) {
    return request({
        url: '/caseFrontSheet/getPatientOverview',
        method: 'get',
        params: {ward},
    })
}

export function getSheetInfo(data) {
    return request({
        url: '/caseFrontSheet/getSheetInfo',
        method: 'post',
        data,
    })
}

export function sheetSearch(data) {
    return request({
        url: '/sheetSearch/execute',
        method: 'post',
        data,
    })
}

export function getSsfzSurgeriesByIcd(bah, times, icd) {
    return request({
        url: '/sheetSearch/getSsfzSurgeriesByIcd',
        method: 'get',
        params: {bah, times, icd},
    })
}

export function executeSaveVerify(data) {
    return request({
        url: '/caseFrontSheet/saveVerify',
        method: 'post',
        data: data,
    })
}

export function executePrintVerify(data) {
    return request({
        url: '/caseFrontSheet/printVerify',
        method: 'post',
        data: data,
    })
}

export function fetchOutPatients(data) {
    return request({
        url: '/caseFrontSheet/outPatients',
        method: 'post',
        data: data,
    })
}

export function fetchSsfz(code, bah, times) {
    return request({
        url: '/caseFrontSheet/fetchSsfz',
        method: 'get',
        params: {code, bah, times},
    })
}

export function increaseDiagWeight(code) {
    return request({
        url: '/caseFrontSheet/increaseDiagWeight',
        method: 'get',
        params: {code},
    })
}

export function selectSiDiagByBaDiag(code) {
    return request({
        url: '/caseFrontSheet/selectSiDiagByBaDiag',
        method: 'get',
        params: {code},
    })
}

export function getYbDiags(bah, times) {
    return request({
        url: '/caseFrontSheet/getYbDiags',
        method: 'get',
        params: {bah, times},
    })
}

export function doSaveYbDiags(data) {
    return request({
        url: '/caseFrontSheet/saveYbDiags',
        method: 'post',
        data: data,
    })
}

export function frontsheetQualityCheck(data) {
    return request({
        url: '/caseFrontSheet/frontsheetQualityCheck',
        method: 'post',
        data
    })
}

export function isMedinsSetl(patNo, times) {
    return request({
        url: '/caseFrontSheet/isMedinsSetl',
        method: 'get',
        params: { patNo, times }
    })
}

export function getAllWards() {
    return request({
        url: '/caseFrontSheet/getAllWards',
        method: 'get',
    })
}

export function basOutPatients(data) {
    return request({
        url: '/caseFrontSheet/basOutPatients',
        method: 'post',
        data: data,
    })
}

export function executeUnArchiveBa(data) {
    return request({
        url: '/caseFrontSheet/unArchiveBa',
        method: 'post',
        data: data,
    })
}

export function executeAdvanceSearch(data) {
    return request({
        url: '/caseFrontSheet/advanceSearch',
        method: 'post',
        data: data,
    })
}

export function analyzeDismissCount(data) {
    return request({
        url: '/caseFrontSheet/analyzeDismissCount',
        method: 'post',
        data,
    })
}

export function gethuiZhenLeiBie() {
    return request({
        url: '/huiZhenShenQing/huiZhenLeiBie',
        method: 'get',
    })
}

export function queryDept(code) {
    return request({
        url: '/huiZhenShenQing/queryDept',
        method: 'get',
        params: {code},
    })
}

export function submitHuiZhenShenQing(data) {
    return request({
        url: '/huiZhenShenQing/submitHuiZhenShenQing',
        method: 'post',
        data,
    })
}

export function chaKanHuiZhenShenQing(inpatientNo, admissTimes) {
    return request({
        url: '/huiZhenShenQing/chaKanHuiZhenShenQing',
        method: 'get',
        params: {inpatientNo, admissTimes},
    })
}

export function shanChuHuiZhenShenQing(inpatientNo, admissTimes, actOrderNo, reqTimes) {
    return request({
        url: '/huiZhenShenQing/shanChuHuiZhenShenQing',
        method: 'get',
        params: {inpatientNo, admissTimes, actOrderNo, reqTimes},
    })
}

export function pingJieZhenDuan(inpatientNo, admissTimes) {
    return request({
        url: '/huiZhenShenQing/pingJieZhenDuan',
        method: 'get',
        params: {inpatientNo, admissTimes},
    })
}

export function huiZhenYiSheng(deptCode, hzType) {
    return request({
        url: '/huiZhenShenQing/huiZhenYiSheng',
        method: 'get',
        params: {deptCode, hzType},
    })
}

export function huoQuHuanZheZhuYaoZhenDuan(patNo, times) {
    return request({
        url: '/huiZhenShenQing/huoQuHuanZheZhuYaoZhenDuan',
        method: 'get',
        params: {patNo, times},
    })
}

export function fetchSheets(month) {
    return request({
        url: '/frontSheetExport/fetchSheets',
        method: 'get',
        params: {month},
    })
}

export function analyzeQualityControl(data) {
    return request({
        url: '/caseFrontSheet/analyzeQualityControl',
        method: 'post',
        data,
    })
}

export function getConsultingDoctorInfo(searchCondition) {
    return request({
        url: '/huiZhenShenQing/getConsultingDoctorInfo',
        method: 'get',
        params: {searchCondition},
    })
}
